﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MultiselectionComboBox
{
    class DataItem: INotifyPropertyChanged
    {
        private string text;
        private bool isselected;

        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    OnPropertyChanged("Text");
                }
            }
        }

        public bool IsSelected
        {
            get
            {

                return this.isselected;
            }
            set
            {
                if (this.isselected != value)
                {
                    this.isselected = value;
                    OnPropertyChanged("IsSelected");
                }
            }
        }

        public DataItem(string txt, bool selected)
        {
            this.text = txt;
            this.isselected = selected;

        }

        protected virtual void OnPropertyChanged(String propertyName)
        {
            if (String.IsNullOrEmpty(propertyName))
            {
                return;
            }
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    
    }
}
