﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace MultiselectionComboBox
{
    class MyViewModel : ViewModelBase
    {
        private ObservableCollection<DataItem> items;
        private string selectedItemsText;

        public ObservableCollection<DataItem> Items
        {
            get
            {
                if (items == null)
                {
                    items = new ObservableCollection<DataItem>();

                    items.Add(new DataItem("value1", false));
                    items.Add(new DataItem("value2", false));
                    items.Add(new DataItem("value3", false));
                }
                return items;
            }
        }

        public string SelectedItemsText
        {
            get
            {
                return this.selectedItemsText;
            }
            set
            {
                if (this.selectedItemsText != value)
                {
                    this.selectedItemsText = value;
                    OnPropertyChanged("SelectedItemsText");

                }
            }
        }

        public MyViewModel()
        {
            foreach (DataItem item in Items)
            {
                item.PropertyChanged += new PropertyChangedEventHandler(OnItemPropertyChanged);
            }
        }

        public void UpdateSelectedText()
        {
            int itemsCount = this.Items.Count;
            StringBuilder sb = new StringBuilder();
            StringBuilder sbValue = new StringBuilder();


            for (int i = 0; i < itemsCount; i++)
            {
                DataItem item = this.Items[i];
                if (item.IsSelected)
                {
                    sb.AppendFormat("{0}, ", item.Text);

                }
            }

            if (sb.Length > 2)
            {
                sb.Remove(sb.Length - 2, 2);
            }

            this.SelectedItemsText = sb.ToString();


        }

        private void OnItemPropertyChanged(object sender, PropertyChangedEventArgs e)
        {

                this.UpdateSelectedText();

          
        }

   
    }
}
